package com.yizhi.certificate.application.feign;

import com.yizhi.certificate.application.vo.CertificateClassifyListVO;
import com.yizhi.certificate.application.vo.domain.CertificateClassifyVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 证书分类
 *
 * @author ding
 */
@FeignClient(name = "certificate", contextId = "CertificateClassifyClient")
public interface CertificateClassifyClient {


    /**
     * 新建分类入库
     * @param certificateClassify
     * @return
     */
    @PostMapping("/certificate/classify/insert")
    Integer insertClassify(@RequestBody CertificateClassifyVo certificateClassify);

    /**
     * 获取分类列表
     * @return
     */
    @GetMapping("/certificate/classify/list")
    List<CertificateClassifyListVO> getClassifyList();

    /**
     * 修改分类
     * @param certificateClassify
     * @return
     */
    @PostMapping("/certificate/classify/update")
    boolean updateClassify(@RequestBody CertificateClassifyVo certificateClassify);

    /**
     * 删除分类
     * @param id
     * @return
     */
    @GetMapping("/certificate/classify/delete")
    Integer deleteClassify(@RequestParam("id") Long id);
}
