package com.yizhi.certificate.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.certificate.application.vo.domain.TrUserCertificateVo;
import com.yizhi.certificate.application.vo.ApiSeachCerticateVo;
import com.yizhi.certificate.application.vo.PushCertificateParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *  PC端  证书
 */
@FeignClient(name = "certificate", contextId = "CertificatePcClient")
public interface CertificatePcClient {

    /**
     * 获取 PC端 我的证书列表
     *
     * @param apiSeachCerticateVo
     * @return
     */
    @GetMapping("/certificatePc/list")
    Page<TrUserCertificateVo> list(@RequestBody ApiSeachCerticateVo apiSeachCerticateVo);


//    /**
//     *  获取图片和证书名称( PC端 )
//     * @param id
//     * @return
//     */
//    @GetMapping("/certificatePc/imageView")
//    public TrUserCertificatePcVo view(@RequestParam(value = "id") Long id, @RequestParam(value = "accountId") Long accountId);


    /**
     *  获取图片和证书名称( PC端 )
     * @param id
     * @return
     */
    @GetMapping("/certificatePc/imageView")
    public TrUserCertificateVo getCertificate(@RequestParam(value = "id") Long id);


    @GetMapping("certificatePc/view")
    public TrUserCertificateVo view(
            @RequestParam(value = "id") Long id,
            @RequestParam(value = "accountId") Long accountId,
            @RequestParam(value = "projectId") Long projectId,
            @RequestParam(value = "type") Integer type
    );

    /**
     * 证书异步补发,及生成
     * @param pushCertificateParam
     * @return
     */
    @PostMapping("certificatePc/pushCertificate")
    public TrUserCertificateVo pushCertificate(@RequestBody PushCertificateParam pushCertificateParam);
}
