package com.yizhi.certificate.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.certificate.application.vo.CertificateListVO;
import com.yizhi.certificate.application.vo.CertificateUserListVO;
import com.yizhi.certificate.application.vo.TrUserCertificateDetailsVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "certificate", contextId = "CertificateUserFeignClients")
public interface CertificateUserFeignClients {

    @GetMapping("/manage/certificate/user/rank/list")
    public Page<CertificateUserListVO> userRankList(
            @RequestParam(name = "startDate", required = false) String startDate,
            @RequestParam(name = "endDate", required = false) String endDate,
            @RequestParam(name = "pageNo", required = false) Integer pageNo,
            @RequestParam(name = "pageSize", required = false) Integer pageSize,
            @RequestParam(name = "siteId", required = false) Long siteId,
            @RequestParam(name = "companyId", required = false) Long companyId,
            @RequestParam(name = "userName", required = false) String userName,
            @RequestParam(name = "orgNameLike", required = false) String orgNameLike,
            @RequestParam(name = "orgIds", required = false) List<Long> orgIds,
            @RequestParam(name = "isAdmin", required = true) boolean isAdmin,
            @RequestParam(name = "accountId", required = true) Long accountId);

    @GetMapping("/manage/certificate/user/details")
    public Page<TrUserCertificateDetailsVo> userDetails(@RequestParam(name = "startDate", required = false) String startDate,
                                                        @RequestParam(name = "endDate", required = false) String endDate,
                                                        @RequestParam(name = "pageNo", required = false) Integer pageNo,
                                                        @RequestParam(name = "pageSize", required = false) Integer pageSize,
                                                        @RequestParam(name = "siteId", required = false) Long siteId,
                                                        @RequestParam(name = "companyId", required = false) Long companyId,
                                                        @RequestParam(name = "userName", required = false) String userName,
                                                        @RequestParam(name = "orgNameLike", required = false) String orgNameLike,
                                                        @RequestParam(name = "orgIds", required = false) List<Long> orgIds,
                                                        @RequestParam(name = "isAdmin", required = true) boolean isAdmin,
                                                        @RequestParam(name = "accountId", required = true) Long accountId);

    /**
     * 证书统计按证书维度
     *
     * @param startDate
     * @param endDate
     * @param pageNo
     * @param pageSize
     * @param certificateName
     * @return
     */
    @GetMapping("/manage/certificate/user/certificate/list")
    public Page<CertificateListVO> certificateList(
            @RequestParam(name = "startDate", required = false) String startDate,
            @RequestParam(name = "endDate", required = false) String endDate,
            @RequestParam(name = "pageNo", required = false) Integer pageNo,
            @RequestParam(name = "pageSize", required = false) Integer pageSize,
            @RequestParam(name = "certificateName", required = false) String certificateName);

    /**
     * 证书统计按证书维度下载
     *
     * @param startDate
     * @param endDate
     * @param certificateName
     * @return
     */
    @GetMapping("/manage/certificate/user/certificate/export")
    public String certificateListExport(
            @RequestParam(name = "startDate", required = false) String startDate,
            @RequestParam(name = "endDate", required = false) String endDate,
            @RequestParam(name = "certificateName", required = false) String certificateName);
}
