package com.yizhi.certificate.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 一级分类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-23
 */
@Data
@ApiModel(value = "Classify", description = "一级分类")

public class CertificateClassifyListVO {

    private static final long serialVersionUID = 1L;

	private Long id;

	private String name;

    @ApiModelProperty("分类编码")
    private Integer code;

    private String codeName;

    @ApiModelProperty(value = "1:一级分类 2:二级分类 3:三级分类")
	private Integer level;

    @ApiModelProperty(value = "分类描述")
	private String description;

    @ApiModelProperty(value = "父级id 0为一级分类没有父级")
	private Long parentId;

    @ApiModelProperty(value = "分类排序")
	private Integer sort;

    @ApiModelProperty("二级分类列表")
    private List<CertificateClassifyVO> children;

}
