package com.yizhi.certificate.application.vo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 文件夹分类表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-23
 */
@Data
@ApiModel(value = "Classify", description = "文件夹分类表")

public class CertificateClassifyVo {

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty("分类名称")
	private String name;

	@ApiModelProperty("分类编码")
	private Integer code;

    @ApiModelProperty(value = "1:一级分类 2:二级分类 3:三级分类")
	private Integer level;

    @ApiModelProperty(value = "分类描述")
	private String description;

    @ApiModelProperty(value = "父级id 0为一级分类没有父级")
	
	private Long parentId;

    @ApiModelProperty("顶级分类id")
	
    private Long rootId;

    @ApiModelProperty(value = "分类排序")
	private Integer sort;

	
	private Long createById;

	
	private String createByName;

	
	private Date createTime;

	
	private Long updateById;

	
	private String updateByName;

	
	private Date updateTime;

	
	private Long companyId;

	
	private Long siteId;

	
	private Long orgId;

    @ApiModelProperty(value = "(0:删除, 1:未删除)")
	private Integer state;



}
