package com.yizhi.certificate.application.vo.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
@Data
@Api(tags = "Certificate", description = "证书")

public class CertificateVo {

    private static final long serialVersionUID = 1L;


    private Long id;

    @ApiModelProperty(value = "证书编号")
    private String code;

    @ApiModelProperty(value = "证书编号规则类型 0:获取时间+六位顺序编号 | 1:六位顺序编号")
    
    private Integer ruleType;

    @ApiModelProperty(value = "发行机构")
    private String issuer;

    @ApiModelProperty(value = "证书标题")
    private String title;

    @ApiModelProperty("分类id")
    
    private Long classifyId;

    @ApiModelProperty(value = "模板")
    private String template;

    
    private Long createById;

    
    private String createByName;

    
    private Date createTime;

    
    private Long updateById;

    
    private String updateByName;

    
    private Date updateTime;

    @ApiModelProperty(value = "证书标签，用，分割")
    private String tags;

    @ApiModelProperty(value = "企业id")
    
    private Long companyId;

    @ApiModelProperty(value = "部门id")
    
    private Long orgId;

    @ApiModelProperty(value = "广告url")
    private String logourl;

    @ApiModelProperty(value = "过期类型")
    private Integer type;

    @ApiModelProperty(value = "固定周期数")
    
    private Integer circleCount;

    @ApiModelProperty(value = "失效日期")
    
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "证书状态 0:下架 1:上架 2:草稿 3:删除")
    private Integer status;

    @ApiModelProperty(value = "过期单位")
    
    private String circleUnit;

    
    private Long templateId;

    
    private String templateImage;

    @ApiModelProperty(value = "站点id")
    
    private Long siteId;

    @ApiModelProperty(value = "项目/课程id")
    
    private Long trainingProjectId;

    @ApiModelProperty(value = "项目/课程名称")
    
    private String trainingProjectName;

    protected Serializable pkVal() {
        return this.id;
    }

}
