package com.yizhi.certificate.application.controller;


import com.yizhi.certificate.application.domain.CertificateClassify;
import com.yizhi.certificate.application.feign.CertificateClassifyClient;
import com.yizhi.certificate.application.service.IClassifyService;
import com.yizhi.certificate.application.vo.CertificateClassifyListVO;
import com.yizhi.certificate.application.vo.domain.CertificateClassifyVo;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-23
 */
@RestController
@RequestMapping
public class ClassifyController implements CertificateClassifyClient {

    @Autowired
    private IClassifyService classifyService;


    @Override
    public Integer insertClassify(@RequestBody CertificateClassifyVo certificateClassify) {
        CertificateClassify classify = new CertificateClassify();
        BeanUtils.copyProperties(certificateClassify, classify);
        return classifyService.insertClassify(classify);
    }

    @Override
    public List<CertificateClassifyListVO> getClassifyList() {
        return classifyService.getClassifyList();
    }

    @Override
    public boolean updateClassify(@RequestBody CertificateClassifyVo certificateClassify) {
        CertificateClassify classify = new CertificateClassify();
        BeanUtils.copyProperties(certificateClassify, classify);
        return classifyService.updateClassify(classify);
    }

    @Override
    public Integer deleteClassify(Long id) {
        return classifyService.deleteClassify(id);
    }

}

