package com.yizhi.certificate.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
@Data
@Api(tags = "Certificate", description = "证书")
@TableName("certificate")
public class Certificate extends Model<Certificate> {

    private static final long serialVersionUID = 1L;


    private Long id;

    @ApiModelProperty(value = "证书编号")
    private String code;

    @ApiModelProperty(value = "证书编号规则类型 0:获取时间+六位顺序编号 | 1:六位顺序编号")
    @TableField("rule_type")
    private Integer ruleType;

    @ApiModelProperty(value = "发行机构")
    private String issuer;

    @ApiModelProperty(value = "证书标题")
    private String title;

    @ApiModelProperty("分类id")
    @TableField("classify_id")
    private Long classifyId;

    @ApiModelProperty(value = "模板")
    private String template;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @TableField(value = "update_time")
    private Date updateTime;

    @ApiModelProperty(value = "证书标签，用，分割")
    private String tags;

    @ApiModelProperty(value = "企业id")
    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "部门id")
    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(value = "广告url")
    private String logourl;

    @ApiModelProperty(value = "过期类型")
    private Integer type;

    @ApiModelProperty(value = "固定周期数")
    @TableField("circle_count")
    private Integer circleCount;

    @ApiModelProperty(value = "失效日期")
    @TableField("end_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "证书状态 0:下架 1:上架 2:草稿 3:删除")
    private Integer status;

    @ApiModelProperty(value = "过期单位")
    @TableField("circle_unit")
    private String circleUnit;

    @TableField("template_id")
    private Long templateId;

    @TableField("template_image")
    private String templateImage;

    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "项目/课程id")
    @TableField("training_project_id")
    private Long trainingProjectId;

    @ApiModelProperty(value = "项目/课程名称")
    @TableField("training_project_name")
    private String trainingProjectName;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
