package com.yizhi.certificate.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 文件夹分类表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-23
 */
@Data
@ApiModel(value = "Classify", description = "文件夹分类表")
@TableName("certificate_classify")
public class CertificateClassify {

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty("分类名称")
	private String name;

	@ApiModelProperty("分类编码")
	private Integer code;

    @ApiModelProperty(value = "1:一级分类 2:二级分类 3:三级分类")
	private Integer level;

    @ApiModelProperty(value = "分类描述")
	private String description;

    @ApiModelProperty(value = "父级id 0为一级分类没有父级")
	@TableField("parent_id")
	private Long parentId;

    @ApiModelProperty("顶级分类id")
	@TableField("root_id")
    private Long rootId;

    @ApiModelProperty(value = "分类排序")
	private Integer sort;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "(0:删除, 1:未删除)")
	private Integer state;



}
