package com.yizhi.certificate.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学员证书中间表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "RelationActivities", description = "学员证书中间表")
@TableName("relation_activities")
public class RelationActivities {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
	private Long id;

    @ApiModelProperty(value = "证书id")
	@TableField("certificate_id")
	private Long certificateId;

    @ApiModelProperty(value = "关联活动类型0:培训项目 1:课程")
	@TableField("bizd_type")
	private Integer bizdType;

    @ApiModelProperty(value = "活动名称")
	@TableField("bizd_name")
	private String bizdName;

    @ApiModelProperty(value = "活动id")
	@TableField("bizd_id")
	private Long bizdId;

    @ApiModelProperty(value = "如果是培训项目关联计划id")
	@TableField("tp_plan_id")
	private Long tpPlanId;

    @ApiModelProperty(value = "如果是培训项目,计划名称")
	@TableField("tp_plan_name")
	private String tpPlanName;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

    @ApiModelProperty(value = "关联状态 0:无效 1:有效")
	@TableField("relation_state")
	private Integer relationState;



}
