package com.yizhi.certificate.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 证书模板表
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
@Data
@Api(tags = "TrCertificateTemplate", description = "证书模板表")
@TableName("tr_certificate_template")
public class TrCertificateTemplate extends Model<TrCertificateTemplate> {

    private static final long serialVersionUID = 1L;


    private Long id;

    @ApiModelProperty(value = "模板url")
    @TableField("template_url")
    private String templateUrl;

    @ApiModelProperty(value = "模板类型")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "模板缩略图")
    @TableField("template_image")
    private String templateImage;

    @ApiModelProperty(value = "模板名称")
    @TableField("template_name")
    private String templateName;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
