package com.yizhi.certificate.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学员证书中间表
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
@Data
@Api(tags = "TrUserCertificate", description = "学员证书中间表")
@TableName("tr_user_certificate")
public class TrUserCertificate extends Model<TrUserCertificate> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "学员id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "证书id")
    @TableField("certificate_id")
    private Long certificateId;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "企业名称")
    @TableField("company_name")
    private String companyName;

    @ApiModelProperty(value = "账号id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "账号名")
    @TableField("account_name")
    private String accountName;

    @TableField("user_name")
    private String userName;

    @TableField("training_project_name")
    private String trainingProjectName;

    @TableField("training_project_id")
    private Long trainingProjectId;

    @TableField("bizd_type")
    private Integer bizdType;

    private String issuer;

    @ApiModelProperty(value = "失效时间")
    @TableField("end_time")
    private Date endTime;

    @ApiModelProperty(value = "得分")
    private String score;

    @ApiModelProperty(value = "证书名称")
    @TableField("certificate_title")
    private String certificateTitle;

    @ApiModelProperty(value = "证书缩略图")
    @TableField("certificate_logourl")
    private String certificateLogourl;

    @ApiModelProperty(value = "学员证书生成图片")
    @TableField("user_image")
    private String userImage;

    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "过期类型")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "证书编号")
    @TableField("certificate_code")
    private String certificateCode;

    @TableField("tp_plan_id")
    private Long tpPlanId;

    @ApiModelProperty(value = "计划名称")
    @TableField("tp_plan_name")
    private String tpPlanName;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
