package com.yizhi.certificate.application.mapper;

import java.util.List;


import com.yizhi.certificate.application.domain.TrUserCertificate;
import com.yizhi.certificate.application.vo.CertificateListVO;
import com.yizhi.certificate.application.vo.TrUserCertificateDetailsVo;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.certificate.application.vo.CertificateUserListVO;

public interface CertificateUserMapper extends BaseMapper<TrUserCertificate> {

    List<CertificateUserListVO> userRankList(

            @Param("siteId") Long siteId,
            @Param("companyId") Long companyId,
            @Param("accountIds") List<Long> accountIds,
            @Param("startDate") String startDate,
            @Param("endDate") String endDate,
            Page<CertificateUserListVO> page);

    List<TrUserCertificateDetailsVo> userDetailsList(@Param("siteId") Long siteId,
                                                     @Param("companyId") Long companyId,
                                                     @Param("accountIds") List<Long> accountIds,
                                                     @Param("startDate") String startDate,
                                                     @Param("endDate") String endDate,
                                                     Page<TrUserCertificateDetailsVo> page);

    /**
     * 证书统计按证书维度获取列表
     * @param startDate
     * @param endDate
     * @param certificateName
     * @param start
     * @param pageSize
     * @param companyId
     * @param siteId
     * @param accountIds
     * @return
     */
    List<CertificateListVO> certificateList(@Param("startDate") String startDate,
                                            @Param("endDate") String endDate,
                                            @Param("certificateName") String certificateName,
                                            @Param("start") Integer start,
                                            @Param("pageSize") Integer pageSize,
                                            @Param("companyId") Long companyId,
                                            @Param("siteId") Long siteId,
                                            @Param("accountIds") List<Long> accountIds);

    /**
     * 证书统计按证书维度获取总记录数
     * @param startDate
     * @param endDate
     * @param certificateName
     * @param companyId
     * @param siteId
     * @param accountIds
     * @return
     */
    Integer certificateListCount(@Param("startDate") String startDate,
                                 @Param("endDate") String endDate,
                                 @Param("certificateName") String certificateName,
                                 @Param("companyId") Long companyId,
                                 @Param("siteId") Long siteId,
                                 @Param("accountIds") List<Long> accountIds);
}
