package com.yizhi.certificate.application.mapper;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.certificate.application.domain.TrUserCertificate;
import com.yizhi.certificate.application.vo.ApiUserCertificateVo;
import com.yizhi.certificate.application.vo.FirstVO;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

import java.util.List;

/**
 * <p>
 * 学员证书中间表 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
public interface TrUserCertificateMapper extends BaseMapper<TrUserCertificate> {


    /**
     *根据学员端用户id查询学员端证书数量
     *
     * @return
     */
    Integer getCertificateCount(@Param(value = "accountId") Long accountId, @Param(value = "companyId") Long companyId,
                                @Param(value = "siteId") Long siteId);


    List<TrUserCertificate> getMyList(@Param(value = "accountId") Long accountId, @Param(value = "certificate_title") String certificate_title,
                                      @Param(value = "validityType") String validityType, @Param(value = "companyId") Long companyId,
                                      @Param(value = "siteId") Long siteId,RowBounds rowBounds);

    Integer getMyListCount(@Param(value = "accountId") Long accountId, @Param(value = "certificate_title") String certificate_title,
                           @Param(value = "validityType") String validityType,@Param(value = "companyId") Long companyId,
                           @Param(value = "siteId") Long siteId);

    List<ApiUserCertificateVo> getMyListSearch(@Param(value = "accountId") Long accountId, @Param(value = "certificate_title") String certificate_title,
                                               @Param(value = "companyId") Long companyId,
                                               @Param(value = "siteId") Long siteId,RowBounds rowBounds);

    Integer getMyListSearchCount(@Param(value = "accountId") Long accountId, @Param(value = "certificate_title") String certificate_title,@Param(value = "companyId") Long companyId,
                                 @Param(value = "siteId") Long siteId);
    
    String getCountByCompanyId(@Param(value = "companyId") Long companyId);
    
    List<FirstVO> first(@Param("siteIds") List<Long> siteIds,
			@Param("startDate") String startDate, @Param("endDate") String endDate);
}
