package com.yizhi.certificate.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.certificate.application.domain.TrUserCertificate;
import com.yizhi.certificate.application.vo.CertificateListVO;
import com.yizhi.certificate.application.vo.CertificateUserListVO;
import com.yizhi.certificate.application.vo.TrUserCertificateDetailsVo;
import com.yizhi.core.application.context.RequestContext;

import java.util.List;

public interface CertificateUserService extends IService<TrUserCertificate> {

	Page<CertificateUserListVO> userRankList(String startDate, String endDate,
											 Integer pageNo, Integer pageSize, Long siteId, Long companyId,
											 String userName, String orgNameLike, List<Long> orgIds, boolean isAdmin, Long accountId);

	Page<TrUserCertificateDetailsVo> userDetails(String startDate, String endDate, Integer pageNo,
												 Integer pageSize, Long siteId, Long companyId,
												 String userName, String orgNameLike, List<Long> orgIds,
												 boolean isAdmin, Long accountId);

	/**
	 * 证书统计按证书维度
	 * @param startDate
	 * @param endDate
	 * @param certificateName
	 * @param pageNo
	 * @param pageSize
	 * @param res
	 * @return
	 */
	Page<CertificateListVO> certificateList(String startDate, String endDate, String certificateName, Integer pageNo, Integer pageSize, RequestContext res);
}
