package com.yizhi.certificate.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.certificate.application.domain.CertificateClassify;
import com.yizhi.certificate.application.vo.CertificateClassifyListVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-23
 */
public interface IClassifyService extends IService<CertificateClassify> {

    /**
     * 新建分类入库
     * @param certificateClassify
     * @return
     */
    Integer insertClassify(CertificateClassify certificateClassify);

    /**
     * 获取分类列表
     * @return
     */
    List<CertificateClassifyListVO> getClassifyList();

    /**
     * 修改分类
     * @param certificateClassify
     * @return
     */
    boolean updateClassify(CertificateClassify certificateClassify);

    /**
     * 删除分类
     * @param id
     * @return
     */
    Integer deleteClassify(Long id);
}
