package com.yizhi.certificate.application.service;


import java.util.Date;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.certificate.application.domain.TrUserCertificate;
import com.yizhi.certificate.application.vo.ApiUserCertificateVo;
import com.yizhi.certificate.application.vo.TrUserCertificatePcVo;

/**
 * <p>
 * 学员证书中间表 服务类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
public interface ITrUserCertificateService extends IService<TrUserCertificate> {

	  /**
	 * 根据学员端用户id查询学员端证书数量
	 * @return
	 */


	Integer   getCertificateCount(Long accountId, Long companyId,
								   Long siteId);
	
    /**
     * 学员端 获得自己所得的证书列表
     * @param accountId 账号id
     * @param  certificate_title  标题名称
     * @return  List<TrUserCertificate>
     */
    Page<TrUserCertificate> getMyList(Long accountId, String certificate_title, String validityType, Long companyId,
									  Long siteId, Integer pageNo, Integer pageSize);

	/**
	 * 学员端  搜索获得自己所得的证书列表
	 * @param accountId 账号id
	 * @param  certificate_title  标题名称
	 * @return  List<TrUserCertificate>
	 */
	Page<ApiUserCertificateVo> getMyListSearch(Long accountId, String certificate_title, Long companyId,
											   Long siteId, Integer pageNo, Integer pageSize);

	/**
	 *   根据学员证书中间表id  获取图片和正书名称
	 * @param id
	 * @return
	 */
	TrUserCertificatePcVo viewImage(Long id);


	String getCountByCompanyId(Long companyId);

	Map<Long, Date> first(List<Long> siteIds,String startDate,String endDate);
}
