package com.yizhi.certificate.application.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.certificate.application.domain.RelationActivities;
import com.yizhi.certificate.application.mapper.RelationActivitiesMapper;
import com.yizhi.certificate.application.service.IRelationActivitiesService;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 学员证书中间表 服务实现类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-30
 */
@Service
public class RelationActivitiesServiceImpl extends ServiceImpl<RelationActivitiesMapper, RelationActivities> implements IRelationActivitiesService {


    @Override
    public List<RelationActivities> getRelationActivities(Long certificateId) {

        RequestContext res = ContextHolder.get();

        RelationActivities relationActivities = new RelationActivities();
        relationActivities.setCertificateId(certificateId);
        relationActivities.setRelationState(1);
        List<RelationActivities> list = this.selectList(new EntityWrapper<>(relationActivities));

        if (CollectionUtils.isNotEmpty(list)){
            for (RelationActivities relationActivities1 : list){
                if (relationActivities1.getBizdType()==0){
                    continue;
                }else {
                    relationActivities1.setBizdName(relationActivities1.getTpPlanName());
                    relationActivities1.setTpPlanName(null);
                }
            }
        }

        return list;
    }
}
