package com.yizhi.certificate.application.service.impl;


import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.certificate.application.domain.TrCertificateTemplate;
import com.yizhi.certificate.application.mapper.TrCertificateTemplateMapper;
import com.yizhi.certificate.application.service.ITrCertificateTemplateService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 证书模板表 服务实现类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
@Service
public class TrCertificateTemplateServiceImpl extends ServiceImpl<TrCertificateTemplateMapper, TrCertificateTemplate> implements ITrCertificateTemplateService {
    private Logger logger= LoggerFactory.getLogger(TrCertificateTemplateServiceImpl.class);

    @Autowired
    private TrCertificateTemplate trCertificateTemplate;

    @Autowired
    private TrCertificateTemplateMapper certificateTemplateMapper;

    /**
     * 获取通用模板列表
     * @return
     */
    public List<TrCertificateTemplate> getList() {
        trCertificateTemplate.setType(0);
        try {
            return certificateTemplateMapper.selectList(new EntityWrapper<TrCertificateTemplate>(trCertificateTemplate));
        } catch (Exception e) {
            e.printStackTrace();
            logger.error("获取模板列表失败");
            return null;
        }
    }
}
