package com.yizhi.certificate.application.service.impl;


import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.certificate.application.domain.TrUserCertificate;
import com.yizhi.certificate.application.mapper.TrUserCertificateMapper;
import com.yizhi.certificate.application.service.ITrUserCertificateService;
import com.yizhi.certificate.application.vo.ApiUserCertificateVo;
import com.yizhi.certificate.application.vo.FirstVO;
import com.yizhi.certificate.application.vo.TrUserCertificatePcVo;

import org.apache.ibatis.session.RowBounds;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 学员证书中间表 服务实现类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
@Service
public class TrUserCertificateServiceImpl extends ServiceImpl<TrUserCertificateMapper, TrUserCertificate> implements ITrUserCertificateService {

    @Autowired
    private TrUserCertificateMapper trCertificateMapper;

    /**
     * 根据学员端用户id查询学员端证书数量
     *
     * @return
     */

    public Integer getCertificateCount(Long accountId, Long companyId,
                                       Long siteId) {

        return trCertificateMapper.getCertificateCount(accountId,companyId,siteId);
    }

    public Page<TrUserCertificate> getMyList(Long accountId, String certificate_title, String validityType, Long companyId,
                                             Long siteId, Integer pageNo, Integer pageSize) {
        Page<TrUserCertificate> page = new Page<TrUserCertificate>(pageNo, pageSize);
        List<TrUserCertificate> trUserCertificates = this.baseMapper.getMyList(accountId,certificate_title,validityType,companyId,siteId, new RowBounds(page.getOffset(), page.getLimit()));
        page.setRecords(trUserCertificates);
        Integer count = this.trCertificateMapper.getMyListCount(accountId,certificate_title,validityType,companyId,siteId);
        page.setTotal(count);
        return page;
    }


    public Page<ApiUserCertificateVo> getMyListSearch(Long accountId, String certificate_title, Long companyId,
                                                      Long siteId,Integer pageNo, Integer pageSize) {
        Page<ApiUserCertificateVo> page = new Page<ApiUserCertificateVo>(pageNo, pageSize);
        List<ApiUserCertificateVo> trUserCertificates = this.baseMapper.getMyListSearch(accountId,certificate_title,companyId,siteId, new RowBounds(page.getOffset(), page.getLimit()));
        page.setRecords(trUserCertificates);
        Integer count = this.baseMapper.getMyListSearchCount(accountId,certificate_title,companyId,siteId);
        page.setTotal(count);
        return page;
    }

    /**
     *   根据学员证书中间表id 获取图片和证书名称( PC端 )
     *
     * @param id
     * @return
     */
    public TrUserCertificatePcVo viewImage(Long id) {
        TrUserCertificate trUserCertificate = trCertificateMapper.selectById(id);
        TrUserCertificatePcVo trUserCertificatePcVo = new TrUserCertificatePcVo();
        trUserCertificatePcVo.setId(id);
        trUserCertificatePcVo.setCertificateLogourl(trUserCertificate.getCertificateLogourl());
        trUserCertificatePcVo.setCertificateTitle(trUserCertificate.getCertificateTitle());
        return trUserCertificatePcVo;
    }

	public String getCountByCompanyId(Long companyId) {
		// TODO Auto-generated method stub
		return trCertificateMapper.getCountByCompanyId(companyId);
	}

	@Override
	public Map<Long, Date> first(List<Long> siteIds, String startDate, String endDate) {
		// TODO Auto-generated method stub
		Map<Long, Date> hashMap = new HashMap<Long, Date>();
		List<FirstVO> list = trCertificateMapper.first(siteIds, startDate, endDate);
		for(FirstVO vo:list){
			hashMap.put(vo.getAccountId(), vo.getFirst());
		}
		return hashMap;
	}
}
