package com.yizhi.certificate.application.util;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.yizhi.certificate.application.domain.Certificate;
import com.yizhi.certificate.application.domain.TrUserCertificate;
import com.yizhi.certificate.application.service.ITrUserCertificateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class CertificateCodeLock {

	@Autowired
    ITrUserCertificateService trUserCertificateService;

	public void addCertificateCode(Certificate certificate, TrUserCertificate trUserCertificate) {
		synchronized (this) {
			if (0 == certificate.getRuleType()) {
				String max = trUserCertificateService.getCountByCompanyId(certificate.getCompanyId());
				if (null == max) {
					max = "0";
				}
				Integer count = Integer.valueOf(max);
				SimpleDateFormat format = new SimpleDateFormat("yyyyMMdd");
				String date = format.format(new Date());
				if (String.valueOf(count).length() <= 6) {
					trUserCertificate.setCertificateCode(date + String.format("%06d", count + 1));
				} else {
					trUserCertificate.setCertificateCode(
							date + String.format("%0" + String.valueOf(count).length() + "d", count + 1));
				}
			} else {
				String max = trUserCertificateService.getCountByCompanyId(certificate.getCompanyId());
				if (null == max) {
					max = "0";
				}
				Integer count = Integer.valueOf(max);
				if (String.valueOf(count).length() <= 6) {
					trUserCertificate.setCertificateCode(String.format("%06d", count + 1));
				} else {
					trUserCertificate
							.setCertificateCode(String.format("%0" + String.valueOf(count).length() + "d", count + 1));
				}
			}
		}
	}
}
